com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionTimedOutEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionTimedOutEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionTimedOutEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionTimedOut` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionTimedOutEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionTimedOutEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` The policy used for the child workflow executions of this workflow execution.
`String` `getTimeoutType()` The type of timeout that caused this event.
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy used for the child workflow executions of this workflow execution.
`void` `setChildPolicy(String childPolicy)` The policy used for the child workflow executions of this workflow execution.
`void` `setTimeoutType(String timeoutType)` The type of timeout that caused this event.
`void` `setTimeoutType(WorkflowExecutionTimeoutType timeoutType)` The type of timeout that caused this event.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionTimedOutEventAttributes` `withChildPolicy(ChildPolicy childPolicy)` The policy used for the child workflow executions of this workflow execution.
`WorkflowExecutionTimedOutEventAttributes` `withChildPolicy(String childPolicy)` The policy used for the child workflow executions of this workflow execution.
`WorkflowExecutionTimedOutEventAttributes` `withTimeoutType(String timeoutType)` The type of timeout that caused this event.
`WorkflowExecutionTimedOutEventAttributes` `withTimeoutType(WorkflowExecutionTimeoutType timeoutType)` The type of timeout that caused this event.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionTimedOutEventAttributes

    public WorkflowExecutionTimedOutEventAttributes()

### Method Detail

#### setTimeoutType

    public void setTimeoutType(String timeoutType)

The type of timeout that caused this event.

Parameters:
  `timeoutType` - The type of timeout that caused this event.
See Also:
  `WorkflowExecutionTimeoutType`

#### getTimeoutType

    public String getTimeoutType()

The type of timeout that caused this event.

Returns:
  The type of timeout that caused this event.
See Also:
  `WorkflowExecutionTimeoutType`

#### withTimeoutType

    public WorkflowExecutionTimedOutEventAttributes withTimeoutType(String timeoutType)

The type of timeout that caused this event.

Parameters:
  `timeoutType` - The type of timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionTimeoutType`

#### setTimeoutType

    public void setTimeoutType(WorkflowExecutionTimeoutType timeoutType)

The type of timeout that caused this event.

Parameters:
  `timeoutType` - The type of timeout that caused this event.
See Also:
  `WorkflowExecutionTimeoutType`

#### withTimeoutType

    public WorkflowExecutionTimedOutEventAttributes withTimeoutType(WorkflowExecutionTimeoutType timeoutType)

The type of timeout that caused this event.

Parameters:
  `timeoutType` - The type of timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionTimeoutType`

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionTimedOutEventAttributes withChildPolicy(String childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionTimedOutEventAttributes withChildPolicy(ChildPolicy childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionTimedOutEventAttributes clone()

Overrides:
  `clone` in class `Object`